(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/const-image"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js"));
	else if(typeof define === 'function' && define.amd)
		define(["vue", "@kq_npm/client_common_vue/_utils/gis-utils", "@kq_npm/client_common_vue/_utils/const-image", "@kq_npm/client_common_vue/_utils/util", "@kq_npm/client_common_vue/init.js"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/const-image"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js")) : factory(root["Vue"], root["@kq_npm/client_common_vue/_utils/gis-utils"], root["@kq_npm/client_common_vue/_utils/const-image"], root["@kq_npm/client_common_vue/_utils/util"], root["@kq_npm/client_common_vue/init.js"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(this, function(__WEBPACK_EXTERNAL_MODULE__1895__, __WEBPACK_EXTERNAL_MODULE__7135__, __WEBPACK_EXTERNAL_MODULE__6277__, __WEBPACK_EXTERNAL_MODULE__3458__, __WEBPACK_EXTERNAL_MODULE__7997__) {
return /******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 2109:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ BaseterrainGalleryViewModel; }
/* harmony export */ });
/* harmony import */ var _Users_zpc_Documents_KQGEOSpace_KQGISClientForVue_node_modules_babel_runtime_helpers_esm_defineProperty_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8270);

//在线地形逻辑类
class BaseterrainGalleryViewModel {
  //基本地形对象
  constructor(viewer) {
    (0,_Users_zpc_Documents_KQGEOSpace_KQGISClientForVue_node_modules_babel_runtime_helpers_esm_defineProperty_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z)(this, "_baseterrainGallery", {});

    this._baseterrainGallery.viewer = viewer;
    this._baseterrainGallery.viewer.scene.globe.depthTestAgainstTerrain = false;
    this._baseterrainGallery.viewer.scene.postProcessStages.fxaa.enabled = false; //this.terrainTDT();

    this.terrainNo();
    this.terrainCesium();
  }

  setTerrainType(inx) {
    if (inx === 0) {
      this._baseterrainGallery.viewer.terrainProvider = this._baseterrainGallery.terrainTDT;
    } else if (inx === 1) {
      this._baseterrainGallery.viewer.terrainProvider = this._baseterrainGallery.terrainCesium;
    } else if (inx === 2) {
      this._baseterrainGallery.viewer.terrainProvider = this._baseterrainGallery.terrainNo;
    }
  } //天地图地形


  terrainTDT() {
    this._baseterrainGallery.terrainTDT = new window.Cesium.TiandituTerrainProvider({
      url: "https://t{s}.tianditu.gov.cn/DEM90M/DataServer?T=elv_c",
      subdomains: ["8", "9", "10", "11", "12"]
    });
  }
  /**
   * 无地形
   */


  terrainNo() {
    this._baseterrainGallery.terrainNo = new window.Cesium.EllipsoidTerrainProvider();
  }
  /**
   * cesium全球地形
   */


  terrainCesium() {
    window.Cesium.Ion.defaultAccessToken = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIwMTY2NmY5Yi05OTM4LTQzMDAtOWFiNS00NTFlZmVkYWE2OTMiLCJpZCI6Nzc1NDAsImlhdCI6MTY0MDMzNzc2MH0.V6JP-o1fF5PQZ6BQzo5vS1SATDid7sM0NjOtQuRULjU";
    this._baseterrainGallery.terrainCesium = new window.Cesium.createWorldTerrain({
      requestVertexNormals: true,
      requestWaterMask: true
    });
  }
  /**
   * 清理地图
   */


  clear() {
    this.setTerrainType(2);
  }
  /**
   * 注销
   */


  destroy() {
    this.clear();
  }

}

/***/ }),

/***/ 348:
/***/ (function(module) {

module.exports = require("@kq_npm/client_icons_vue");

/***/ }),

/***/ 7080:
/***/ (function(module) {

module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 6277:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__6277__;

/***/ }),

/***/ 7135:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7135__;

/***/ }),

/***/ 3458:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__3458__;

/***/ }),

/***/ 7997:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7997__;

/***/ }),

/***/ 1895:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__1895__;

/***/ }),

/***/ 8270:
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ _defineProperty; }
/* harmony export */ });
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "BaseterrainGalleryViewModel": function() { return /* reexport */ BaseterrainGalleryViewModel/* default */.Z; },
  "default": function() { return /* reexport */ BaseterrainGallery; }
});

// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(1895);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/gis-utils"
var gis_utils_ = __webpack_require__(7135);
// EXTERNAL MODULE: ./src/webgl/baseterraingallery/BaseterrainGalleryViewModel.js
var BaseterrainGalleryViewModel = __webpack_require__(2109);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/const-image"
var const_image_ = __webpack_require__(6277);
// EXTERNAL MODULE: external "@kq_npm/client_icons_vue"
var client_icons_vue_ = __webpack_require__(348);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_ = __webpack_require__(3458);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(7080);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/webgl/baseterraingallery/BaseterrainGallery.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "kq3d-baseterrain-gallery-box"
};
const _hoisted_2 = {
  class: "divSpan"
};
const _hoisted_3 = {
  class: "divImg"
};
const _hoisted_4 = ["src"];
const _hoisted_5 = {
  class: "divText"
};
const _hoisted_6 = {
  class: "text"
};
const _hoisted_7 = {
  class: "divImg"
};
const _hoisted_8 = ["src"];
const _hoisted_9 = {
  class: "divText"
};
const _hoisted_10 = {
  class: "text"
};







const __default__ = {
  name: "Kq3dBaseterrainGallery"
};
/* harmony default export */ var BaseterrainGalleryvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    selectIndex: {
      type: Number,
      default: 2
    },
    showShadow: {
      type: Boolean,
      default: true
    },

    /**
     * 例："center","topLeft","topRight","bottomLeft","bottomRight", "topCenter", "bottomCenter" {top:'16px',left:'16px'}, {top:16,left:16}
     */
    position: [String, Object],
    // 是否生成HeaderTemp
    showHeaderTemp: {
      type: Boolean,
      default: false
    },
    // 是否折叠HeaderTemp，showHeaderTemp为true时生效
    isCollapseHeaderTemp: {
      type: Boolean,
      default: false
    },
    // HeaderTemp标题
    headerTempTitle: {
      type: String
    },
    // HeaderTemp图标
    headerTempIcon: {
      type: [Object, String],
      default: client_icons_vue_.IconBaseterrainGallery
    },
    // HeaderTemp Title&Icon的位置
    isRight: {
      type: Boolean,
      default: true
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props; //语言

    let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({}); //地形选中值

    let currentIndex = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(2);
    let currentTerrain = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(""); //逻辑类对象

    let viewModel = null; // 组件容器Ref

    let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null); // 生成组件默认header

    let headerTemp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    let headerTempRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(); // 国际化

    let {
      locale,
      messages
    } = (0,vue_i18n_cjs_js_.useI18n)();
    let headerTempTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => locale.value, (newVal, oldVal) => {
      language.value = messages.value[newVal]["webgl"];
      headerTempTitle.value = language.value.onlineTerrain;
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
      (0,util_.updatePosition)(boxRef.value, props);
      (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => props.position, (newVal, oldVal) => {
        (0,util_.updatePosition)(boxRef.value, props);
      });
      watchCreateHeaderTemp();
      currentIndex.value = props.selectIndex;
      gis_utils_.utils.getWebMap(null, scenceView => {
        if (scenceView) {
          changSelectTerrain();
          viewModel = new BaseterrainGalleryViewModel/* default */.Z(scenceView._viewer); // 初始化无地形时不需要设置地形, 如果将地形设置为无地形可能会影响其他功能添加的地形

          if (currentIndex.value != 2) viewModel.setTerrainType(currentIndex.value);
        }
      });
    });
    /**
     * @description 监听header生成
     */

    const watchCreateHeaderTemp = () => {
      if (props.showHeaderTemp) {
        // 生成headerTemp
        headerTemp.value = (0,util_.createHeaderTemp)(boxRef.value, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toRefs)(props), headerTempRef, headerTempTitle);
      }
    };

    function changSelectTerrain() {
      switch (currentIndex.value) {
        case 0:
          currentTerrain.value = language.value["tiandituTerrain"];
          break;

        case 1:
          currentTerrain.value = language.value["cesiumTerrain"];
          break;

        case 2:
          currentTerrain.value = language.value["ellipsoidTerrain"];
          break;
      }
    } //地形选择事件


    function clickHandler(inx) {
      currentIndex.value = inx;
      changSelectTerrain();
      viewModel.setTerrainType(currentIndex.value);
    } //清除结果


    function clearResult() {
      viewModel && viewModel.clear();
    }

    function getSelectIndex() {
      return currentIndex.value;
    } // 销毁


    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
      clearResult();
    });
    expose({
      changSelectTerrain,
      clickHandler,
      getSelectIndex,
      clearResult
    });
    return (_ctx, _cache) => {
      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form-item");

      const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-row");

      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form");

      const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-col");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["kq3d-baseterrain-gallery", {
          'kq-box-shadow': __props.showShadow
        }]),
        ref_key: "boxRef",
        ref: boxRef
      }, [__props.showHeaderTemp ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(headerTemp)), {
        key: 0,
        ref_key: "headerTempRef",
        ref: headerTempRef
      }, null, 512
      /* NEED_PATCH */
      )) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
        style: {
          "line-height": "48px",
          "height": "48px"
        }
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
          label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).onlineTerrain
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentTerrain)), 1
          /* TEXT */
          )]),
          _: 1
          /* STABLE */

        }, 8
        /* PROPS */
        , ["label"])]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
          span: 24
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" <kq-row @click=\"clickHandler(0)\" :class=\"currentIndex == 0 ? 'active' : ''\">\r\n              <kq-col :span=\"5\">\r\n                <img :src=\"TDT_TERRAiIN_URL\" alt=\"\" />\r\n              </kq-col>\r\n              <kq-col :span=\"19\">{{ language.tiandituTerrain }} </kq-col>\r\n            </kq-row> "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
              onClick: _cache[0] || (_cache[0] = $event => clickHandler(1)),
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentIndex) == 1 ? 'active' : '')
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_3, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("img", {
                src: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(const_image_.CESIUM_TERRAiIN_URL),
                alt: ""
              }, null, 8
              /* PROPS */
              , _hoisted_4)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_5, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_6, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).cesiumTerrain), 1
              /* TEXT */
              )])]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, {
              onClick: _cache[1] || (_cache[1] = $event => clickHandler(2)),
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(currentIndex) == 2 ? 'active' : '')
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_7, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("img", {
                src: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(const_image_.NO_TERRAiIN_URL),
                alt: ""
              }, null, 8
              /* PROPS */
              , _hoisted_8)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_9, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_10, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).ellipsoidTerrain), 1
              /* TEXT */
              )])]),
              _: 1
              /* STABLE */

            }, 8
            /* PROPS */
            , ["class"])]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })])], 2
      /* CLASS */
      );
    };
  }

}));
;// CONCATENATED MODULE: ./src/webgl/baseterraingallery/BaseterrainGallery.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/baseterraingallery/BaseterrainGallery.vue



const __exports__ = BaseterrainGalleryvue_type_script_setup_true_lang_js;

/* harmony default export */ var BaseterrainGallery = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(7997);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/baseterraingallery/index.js




BaseterrainGallery.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(BaseterrainGallery.name, BaseterrainGallery);
};


}();
/******/ 	return __webpack_exports__;
/******/ })()
;
});